package com.gree.mall.manager.enums.repair.settle;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.baomidou.mybatisplus.annotation.IEnum;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public enum SummaryStatusEnum implements BaseEnum, IEnum<Integer> {
    END("1","已汇总"),
    NOT("2","未汇总"),
    HOLD("3","暂不结算"),
    REJECT("4","驳回"),
    ;

    @EnumValue
    @JsonValue
    private final String key;
    private final String remark;

    @Override
    public Integer getValue() {
        return Integer.parseInt(key);
    }
}
